> For the complete documentation index, see [llms.txt](https://docs.appkickstarter.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appkickstarter.com/tutorials/customize-onboarding.md).

# Customize onboarding

### Customize existing pre-built pager

In OnboardingScreenContent you can change allSwipeDatas which is a list of OnboardingSwipeUniquePageData:

```
OnboardingSwipeUniquePageData(
    imageId = SharedRes.images.idea,
    titleText = SharedRes.strings.launch,
    subtitleText = SharedRes.strings.battle_tested_template,
    buttonText = SharedRes.strings.next,
)
```

Here you can customize image id which is an image resource, you can too customize texts with localizations.

### Custom onboarding

Onboarding by default in AppKickstarter is displayed just once at startup.&#x20;

If you want to have something different than the pager but keep the "only displayed at startup" feature, then you can just add your screens and flow such as :&#x20;

OnboardingScreen1 : navigator.push(OnboardingScreen2)

OnboardingScreen2: navigator.push(OnboardingScreen3)

...

OnboardingScreenLatest:&#x20;

```
val screenModel: OnboardingScreenModel = getScreenModel()
screenModel.setOnboardingSeen()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appkickstarter.com/tutorials/customize-onboarding.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
